<?php
/*-------- لید خبر ---------*/
function get_meta($value) {
	global $post;
	$field = get_post_meta($post->ID, $value, true);
	if( !empty($field) ) {
		return is_array($field) ? stripslashes_deep($field) : stripslashes(wp_kses_decode_entities($field));
	} else {
		return false;
	}
}
function qaleb_add_meta_box() {
	add_meta_box(
		'post-info',
		'لید خبر را وارد نمایید',
		'qaleb_meta_box',
		'post',
		'advanced',
		'high'
	);
}
add_action('add_meta_boxes', 'qaleb_add_meta_box');
function qaleb_meta_box($post) {
	wp_nonce_field('meta_box_action', 'meta_box_nonce');
?>
	<p>
        <textarea name="lead" id="lead" style="height: 90px; width:100%;"><?php echo get_meta('lead'); ?></textarea>
	</p>
<?php
}
function save_meta_box($post_id) {
	if( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) return;
	if( !isset($_POST['meta_box_nonce']) || ! wp_verify_nonce($_POST['meta_box_nonce'], 'meta_box_action') ) return;
	if( !current_user_can('edit_post', $post_id) ) return;
	if( isset($_POST['lead']) )
		update_post_meta($post_id, 'lead', esc_attr($_POST['lead']));
}
add_action('save_post', 'save_meta_box');
/*-------- لید خبر ---------*/


function prfx2_custom_meta() {
    add_meta_box( 'prfx2_meta', __( 'مشخصات مطلب', 'prfx2-textdomain' ), 'prfx2_meta_callback', 'post', 'normal', 'high' );
}
add_action( 'add_meta_boxes', 'prfx2_custom_meta' );


function prfx2_meta_callback( $post ) {
    wp_nonce_field( basename( __FILE__ ), 'prfx2_nonce' );
    $prfx2_stored_meta = get_post_meta( $post->ID );
    ?>
<table width="100%">    
<p>
<label style="width:100%;float:right;margin: 10px 5px;">نویسنده</label>      
<input style="width:200px;float:right;" type="text" name="meta-text-3" id="meta-text" value="<?php if ( isset ( $prfx2_stored_meta['meta-text-3'] ) ) echo $prfx2_stored_meta['meta-text-3'][0]; ?>" />
</p>
<br>

<p>
<label style="width:100%;float:right;margin: 10px 5px;">منبع</label>    
<input style="width:200px;float:right;" type="text" name="meta-text-4" id="meta-text" value="<?php if ( isset ( $prfx2_stored_meta['meta-text-4'] ) ) echo $prfx2_stored_meta['meta-text-4'][0]; ?>" />
</p>
<br>
<p>
<label style="width:100%;float:right;margin: 10px 5px;">روتیتر</label>   
<input style="width:100%;float:right;" type="text" name="meta-text-1" id="meta-text" value="<?php if ( isset ( $prfx2_stored_meta['meta-text-1'] ) ) echo $prfx2_stored_meta['meta-text-1'][0]; ?>" />
</p>
</table>
<?php
}
function prfx2_meta_save( $post_id ) {
 
    // Checks save status
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'prfx2_nonce' ] ) && wp_verify_nonce( $_POST[ 'prfx2_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';
 
    // Exits script depending on save status
    if ( $is_autosave || $is_revision || !$is_valid_nonce ) {
        return;
    }
 
    // Checks for input and sanitizes/saves if needed
    if( isset( $_POST[ 'meta-text-1' ] ) ) {
        update_post_meta( $post_id, 'meta-text-1', sanitize_text_field( $_POST[ 'meta-text-1' ] ) );
    }
    if( isset( $_POST[ 'meta-text-3' ] ) ) {
        update_post_meta( $post_id, 'meta-text-3', sanitize_text_field( $_POST[ 'meta-text-3' ] ) );
    }
    if( isset( $_POST[ 'meta-text-4' ] ) ) {
        update_post_meta( $post_id, 'meta-text-4', sanitize_text_field( $_POST[ 'meta-text-4' ] ) );
    }	
}
add_action( 'save_post', 'prfx2_meta_save' );



function sound_custom_meta() {
    add_meta_box( 'sound_meta', __( 'اطلاعات فایل صوتی', 'sound-textdomain' ), 'sound_meta_callback', 'sound', 'normal', 'high' );
}
add_action('add_meta_boxes', 'sound_custom_meta');


function sound_meta_callback($post)
{
    wp_nonce_field(basename(__FILE__), 'sound_nonce');
    $sound_stored_meta = get_post_meta($post->ID);
    ?>
<table width="100%">	
  <?php   
    
    // jQuery
wp_enqueue_script('jquery');
// This will enqueue the Media Uploader script
wp_enqueue_media();
?>
<p>
<label style="width:20%;float:right;">زمان فایل صوتی</label>
<input style="width:10%;" type="text" name="time-sound" placeholder="02:35 دقیقه" id="meta-text" value="<?php if ( isset ( $sound_stored_meta['time-sound'] ) ) echo $sound_stored_meta['time-sound'][0]; ?>" />
</p>

<p style="width:100%;float:right;color:#f00">فرمت قابل پخش فایل صوتی mp3</p>

<p>
<label style="width:20%;float:right;">لینک فایل صوتی جهت پخش در پلیر</label>
<input style="width:50%;float:right;" id="href-link-320i" type="text" name="href-link-320i" value="<?php if (isset ($sound_stored_meta['href-link-320i'])){echo $sound_stored_meta['href-link-320i'][0];}?>" />
<button style="width:10%;float:right;" type="button" class="button-secondary add-sound-qaleb" qalebdata="320i" >آپلود فایل صوتی</button>


</p>
<p style="width:100%;float:right;color:#f00">لینک های دانلود فایل صوتی</p>

<p>
<label style="width:20%;float:right;">کیفیت 320</label>
<input style="width:50%;float:right;" id="href-link-320" type="text" name="href-link-320" value="<?php if (isset ($sound_stored_meta['href-link-320'])){echo $sound_stored_meta['href-link-320'][0];}?>" />
<button style="width:10%;float:right;" type="button" class="button-secondary add-sound-qaleb" qalebdata="320" >آپلود فایل صوتی</button>
</p>
<p style="width:100%;overflow: hidden;"></p>
<p>
<label style="width:20%;float:right;">کیفیت 128</label>
<input style="width:50%;float:right;" id="href-link-128" type="text" name="href-link-128" value="<?php if (isset ($sound_stored_meta['href-link-128'])){echo $sound_stored_meta['href-link-128'][0];}?>" />
<button style="width:10%;float:right;" type="button" class="button-secondary add-sound-qaleb" qalebdata="128" >آپلود فایل صوتی</button>
</p>

  <script type="text/javascript">
jQuery(document).ready(function($){
    $('.add-sound-qaleb').click(function(e) {
		var kf = "#href-link-"+$(this).attr("qalebdata");
        e.preventDefault();
        var image = wp.media({ 
            title: 'انتخاب فایل',
            // mutiple: true if you want to upload multiple files at once
            multiple: false,
        }).open()
        .on('select', function(e){
            // This will return the selected image from the Media Uploader, the result is an object
            var uploaded_image = image.state().get('selection').first();
            // We convert uploaded_image to a JSON object to make accessing it easier
            // Output to the console uploaded_image
            console.log(uploaded_image);
            var image_url = uploaded_image.toJSON().url;
            // Let's assign the url value to the input field
            $(kf).val(image_url);
        });
    });
});
</script>
</table>
<?php
}
function sound_meta_save( $post_id ) {
 
    // Checks save status
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'sound_nonce' ] ) && wp_verify_nonce( $_POST[ 'sound_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';
 
    // Exits script depending on save status
    if ( $is_autosave || $is_revision || !$is_valid_nonce ) {
        return;
    }
 
    // Checks for input and sanitizes/saves if needed
    if( isset( $_POST[ 'meta-sound' ] ) ) {
        update_post_meta( $post_id, 'meta-sound', sanitize_text_field( $_POST[ 'meta-sound' ] ) );
    }
 
}
add_action( 'save_post', 'sound_meta_save' );
/*-------- زمان فایل صوتی ---------*/


function numberphoto_custom_meta() {
    add_meta_box( 'numberphoto_meta', __( 'تعداد عکس', 'numberphoto-textdomain' ), 'numberphoto_meta_callback', 'photo', 'side', 'high' );
}
add_action( 'add_meta_boxes', 'numberphoto_custom_meta' );


function numberphoto_meta_callback( $post ) {
    wp_nonce_field( basename( __FILE__ ), 'numberphoto_nonce' );
    $numberphoto_stored_meta = get_post_meta( $post->ID );
    ?>
<p>
<label style="width:100%;float:right;">تعداد عکس </label>
<input style="width:100%;" type="text" name="number-photo" placeholder="6 تصویر" id="meta-text" value="<?php if ( isset ( $numberphoto_stored_meta['number-photo'] ) ) echo $numberphoto_stored_meta['number-photo'][0]; ?>" />
</p>

<?php
}
function numberphoto_meta_save( $post_id ) {
 
    // Checks save status
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'numberphoto_nonce' ] ) && wp_verify_nonce( $_POST[ 'numberphoto_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';
 
    // Exits script depending on save status
    if ( $is_autosave || $is_revision || !$is_valid_nonce ) {
        return;
    }
 
    // Checks for input and sanitizes/saves if needed
    if( isset( $_POST[ 'number-photo' ] ) ) {
        update_post_meta( $post_id, 'number-photo', sanitize_text_field( $_POST[ 'number-photo' ] ) );
    }
 
}
add_action( 'save_post', 'numberphoto_meta_save' );
/*-------- تعداد عکس ---------*/




function video_custom_meta()
{
    add_meta_box('video_meta', __('اطلاعات ویدئو', 'video-textdomain'), 'video_meta_callback', 'video', 'normal', 'high');
}

add_action('add_meta_boxes', 'video_custom_meta');


function video_meta_callback($post)
{
    wp_nonce_field(basename(__FILE__), 'video_nonce');
    $video_stored_meta = get_post_meta($post->ID);
    ?>
<table width="100%" id="video_tb_qaleb">


<p>
<label style="width:20%;float:right;">زمان ویدئو</label>
<input style="width:10%;" type="text" name="video-time" placeholder="02:35 دقیقه" id="meta-text" value="<?php if ( isset ( $video_stored_meta['video-time'] ) ) echo $video_stored_meta['video-time'][0]; ?>" />
</p>

<p style="width:100%;float:right;color:#f00">فرمت قابل پخش ویدئو mp4</p>

<p>
<label style="width:20%;float:right;">لینک ویدئو جهت پخش در پلیر</label>
<input style="width:50%;float:right;" id="href-link-player" type="text" name="href-link-player" value="<?php if (isset ($video_stored_meta['href-link-player'])){echo $video_stored_meta['href-link-player'][0];}?>" />
<button style="width:10%;float:right;" type="button" class="button-secondary add-video-qaleb" qalebdata="player" >آپلود ویدئو</button>
</p>
<p style="width:100%;float:right;color:#f00">لینک های دانلود ویدئو</p>

<p>
<label style="width:20%;float:right;">کیفیت 1080</label>
<input style="width:50%;float:right;" id="href-link-1080" type="text" name="href-link-1080" value="<?php if (isset ($video_stored_meta['href-link-1080'])){echo $video_stored_meta['href-link-1080'][0];}?>" />
<button style="width:10%;float:right;" type="button" class="button-secondary add-video-qaleb" qalebdata="1080" >آپلود ویدئو</button>
</p>
<p style="width:100%;overflow: hidden;"></p>
<p>
<label style="width:20%;float:right;">کیفیت 720</label>
<input style="width:50%;float:right;" id="href-link-720" type="text" name="href-link-720" value="<?php if (isset ($video_stored_meta['href-link-720'])){echo $video_stored_meta['href-link-720'][0];}?>" />
<button style="width:10%;float:right;" type="button" class="button-secondary add-video-qaleb" qalebdata="720" >آپلود ویدئو</button>
</p>
<p style="width:100%;overflow: hidden;"></p>
<p>
<label style="width:20%;float:right;">کیفیت 480</label>
<input style="width:50%;float:right;" id="href-link-480" type="text" name="href-link-480" value="<?php if (isset ($video_stored_meta['href-link-480'])){echo $video_stored_meta['href-link-480'][0];}?>" />
<button style="width:10%;float:right;" type="button" class="button-secondary add-video-qaleb" qalebdata="480" >آپلود ویدئو</button>
</p>

  <script type="text/javascript">
jQuery(document).ready(function($){
    $('.add-video-qaleb').click(function(e) {
		var kf = "#href-link-"+$(this).attr("qalebdata");
        e.preventDefault();
        var image = wp.media({ 
            title: 'انتخاب فیلم',
            // mutiple: true if you want to upload multiple files at once
            multiple: false,
        }).open()
        .on('select', function(e){
            // This will return the selected image from the Media Uploader, the result is an object
            var uploaded_image = image.state().get('selection').first();
            // We convert uploaded_image to a JSON object to make accessing it easier
            // Output to the console uploaded_image
            console.log(uploaded_image);
            var image_url = uploaded_image.toJSON().url;
            // Let's assign the url value to the input field
            $(kf).val(image_url);
        });
    });
});
</script>

</table>
<?php
}



/**
 * Saves the custom meta input
 */
function video_meta_save($post_id)
{

    // Checks save status
    $is_autosave = wp_is_post_autosave($post_id);
    $is_revision = wp_is_post_revision($post_id);
    $is_valid_nonce = (isset($_POST['video_nonce']) && wp_verify_nonce($_POST['video_nonce'], basename(__FILE__))) ? 'true' : 'false';

    // Exits script depending on save status
    if ($is_autosave || $is_revision || !$is_valid_nonce) {
        return;
    }
     
    // Checks for input and sanitizes/saves if needed
	 if (isset($_POST['video-time'])) {
        update_post_meta($post_id, 'video-time', sanitize_text_field($_POST['video-time']));
    }	
    if (isset($_POST['href-link-player'])) {
        update_post_meta($post_id, 'href-link-player', sanitize_text_field($_POST['href-link-player']));
    }	
	
	if (isset($_POST['href-link-1080'])) {
        update_post_meta($post_id, 'href-link-1080', sanitize_text_field($_POST['href-link-1080']));
    }
	
    if (isset($_POST['href-link-720'])) {
        update_post_meta($post_id, 'href-link-720', sanitize_text_field($_POST['href-link-720']));
    }
	 if (isset($_POST['href-link-480'])) {
        update_post_meta($post_id, 'href-link-480', sanitize_text_field($_POST['href-link-480']));
    }
	
	 if (isset($_POST['time-sound'])) {
        update_post_meta($post_id, 'time-sound', sanitize_text_field($_POST['time-sound']));
    }	
	 if (isset($_POST['href-link-320i'])) {
        update_post_meta($post_id, 'href-link-320i', sanitize_text_field($_POST['href-link-320i']));
    }	
	 if (isset($_POST['href-link-320'])) {
        update_post_meta($post_id, 'href-link-320', sanitize_text_field($_POST['href-link-320']));
    }
	 if (isset($_POST['href-link-128'])) {
        update_post_meta($post_id, 'href-link-128', sanitize_text_field($_POST['href-link-128']));
    }


}

add_action('save_post', 'video_meta_save');